<?php
	$dir = $_SERVER['DOCUMENT_ROOT']."/".substr(substr($_SERVER['REQUEST_URI'], 1), 0, strpos(substr($_SERVER['REQUEST_URI'], 1), '/'))."/phone_gap";
	require_once($dir."/dados.php");
	require_once($dir."/classes/Cliente.class.php");
	require_once($dir."/dao/ClienteDAO.class.php");
	require_once($dir."/dao/ConfigDAO.class.php");
	
	$codgerente = $_POST['codgerente'];
	$codsupervisor = $_POST['codsupervisor'];
	$codcliente = $_POST['codcliente'];
	$codvendedor = $_POST['codvendedor'];
	$dataini = $_POST['dataini'];
	$datafin = $_POST['datafin'];
	$clientepor = $_POST['clientepor'];
	$codcidade = $_POST['codcidade'];
	$nroregiao = $_POST['nroregiao'];
	$agruparpor = $_POST['agruparpor'];
	
	$inicio = $_POST['inicio'];
	$qtde = $_POST['qtde'];
	
	$NotInicio = $inicio > 0;
	
	if ($NotInicio) {
		$inicio--;
	}
	
	$configdao = new ConfigDAO();
	$multVend = $configdao->getDisponibilizar()->getClientes_mult_vends();
	$exibirClientePor = $configdao->getDisponibilizar()->getExibir_Cliente_Por();	
	
	$dados = new Dados();	
	$dataini = $dados->DatePickerToDate($dataini);
	$datafin = $dados->DatePickerToDate($datafin);
	
	
	$sql1 = " from CLIENTES CL ".
		$dados->ifthen($clientepor == 'Clientes', 
			$dados->ifthen($multVend,
				"join CLI_VENDEDORES CV on CV.CODCLIENTE = CL.CODCLIENTE
				 join VENDEDORES V on V.CODVENDEDOR = CV.CODVENDEDOR "
				,
				"join VENDEDORES V on V.CODVENDEDOR = CL.CODVENDEDOR "
			)
			,
			"join ROTEIRIZACOES_CLIENTES RC on RC.CODCLIENTE = CL.CODCLIENTE 
			 join ROTEIRIZACOES RR on RR.CODROTA = RC.CODROTA 
			 join VENDEDORES V on V.CODVENDEDOR = RR.CODVENDEDOR "
		).
		" left join VENDAS VD on CL.CODCLIENTE = VD.CODCLIENTE ".
		$dados->filtroDataSQL('VD.DATAEMISSAONF', $dataini, $datafin)."          
			and VD.SITUACAO = 'I'
			and VD.TIPONOTA = 'S'
		left join TF02_DST T on CL.CODCLIENTE = T.CODCLIENTE ".
		$dados->filtroDataSQL('T.DATA', $dataini, $datafin).
		" left join VISITASREALIZADAS VR on CL.CODCLIENTE = VR.CODCLIENTE
		where CL.SITUACAO = 'A' and
			VD.NROVENDA is null and
            T.ID is null
		group by 1, 2, 3) NV
	left join(select VR.DATA, VR.CODCLIENTE, VR.MOTIVO, VR.VALTOTAL, VR.CODVENDEDOR
			from VISITASREALIZADAS VR) VR on VR.CODCLIENTE = NV.CODCLIENTE
            and NV.DATA = VR.DATA
	join VENDEDORES VE on NV.CODVENDEDOR = VE.CODVENDEDOR
	".$dados->ifthen($agruparpor == 'Supervisor',
			"left join VENDEDORES SE on VE.CODSUPERVISOR = SE.CODVENDEDOR", "")."		
	join CLIENTES CL on CL.CODCLIENTE = NV.CODCLIENTE
	left join BAIRROS B on CL.CODBAIRRO = B.CODBAIRRO
	left join CIDADES CI on CL.CODCIDADE = CI.CODCIDADE
	left join CIDADES_REGIOES CIR on CL.NROREGIAO = CIR.NROREGIAO
	where NV.CODCLIENTE is not null
	".$dados->ifthen($codgerente, " and ((VE.CODGERENTE = ".$codgerente.") or 
	(R.CODSUPERVISOR in (select CODVENDEDOR from vendedores where CODGERENTE = ".$codgerente."))) ", "")."
	".$dados->ifthen($codsupervisor, " and VE.CODSUPERVISOR = ".$codsupervisor." ", "")."
	".$dados->ifthen($codvendedor, " and VE.CODVENDEDOR = ".$codvendedor." ", "")."
	".$dados->ifthen($codcliente, " and CL.CODCLIENTE = ".$codcliente." ", "")."
	".$dados->ifthen($codcidade, " and CI.CODCIDADE = ".$codcidade." ", "")."
	".$dados->ifthen($nroregiao, " and CIR.NROREGIAO = ".$nroregiao." ", "")."
	".$dados->ifthen($agruparpor == 'Supervisor',
		"order by VE.CODSUPERVISOR, NV.CODCLIENTE",
		"order by VE.CODVENDEDOR, NV.CODCLIENTE")."";
	
	$sql = "select first ".$qtde." skip ".$inicio.
	    " VE.CODVENDEDOR, VE.NOME VENDEDOR, NV.CODCLIENTE, NV.CLIENTE, VR.DATA,
		coalesce(VR.MOTIVO, 'Sem Visitas') MOTIVO,
		VR.VALTOTAL, 
		".$dados->ifthen($agruparpor == 'Supervisor',
			"SE.NOME SUPERVISOR,",
			"VE.NOME SUPERVISOR,").
		"current_date -VR.DATA DIASSEMVISITA,
		CL.ENDERECO || ', ' || CL.NUMERO ENDERECO,
		B.DESCRICAO BAIRRO, CI.CIDADE, CL.FANTASIA, CL.NROREGIAO
		from (select CL.CODCLIENTE, " . $dados->ifthen($exibirClientePor == "F", " COALESCE(CL.FANTASIA, CL.NOME) CLIENTE " , " CL.NOME CLIENTE") . ", V.CODVENDEDOR, max(VR.DATA) DATA ".$sql1;
	
	$array = $dados->SelectSQL($sql);
	
	$qtdeRegistros = count($array);
	if ($qtdeRegistros <= 0) {
		return;
	}
	
	$clientes = array();
	foreach ($array as $row) {
		$novoCliente = new Cliente();
		$novoCliente->setCodCliente($row["CODCLIENTE"]);
		$novoCliente->setNome($row["CLIENTE"]);
		$novoCliente->setMotivo($row["MOTIVO"]);
		$novoCliente->setValor($row["VALTOTAL"]);
		$novoCliente->setData($row["DATA"]);
		$novoCliente->setNroDiasSemVisita($row["DIASSEMVISITA"]);
		
		$clientes[] = $novoCliente;
	}
	
	$result = '';
	foreach ($clientes as $cliente) {
		$data = date_create($cliente->getData());
		if($cliente->getMotivo() == 'Sem Visita'){
			$result .= "<tr style='color: LightCoral;'>";
		}else{
			$result .= "<tr>";
		}
		$result .= '<td>'.$cliente->getCodCliente().'</td>';
		$result .= '<td>'.$cliente->getNome().'</td>';
		$result .= '<td>'.$cliente->getMotivo().'</td>';
		$result .= '<td>'.$dados->formatarNumero($cliente->getValor()).'</td>';
		if ($cliente->getData() != "")
	 	  $result .= '<td>'.date_format($data, 'd/m/Y').'</td>';
                else
		  $result .= '<td></td>';
		$result .= '<td>'.$cliente->getNroDiasSemVisita().'</td>';
		$result .= '</tr>';
	}
	
	if ($qtdeRegistros < $qtde) {
		$array = $dados->SelectSQL(
			"select VE.CODVENDEDOR, VE.NOME VENDEDOR, NV.CODCLIENTE, NV.CLIENTE, VR.DATA,
			coalesce(VR.MOTIVO, 'Sem Visitas') MOTIVO,
			VR.VALTOTAL, 
			".$dados->ifthen($agruparpor == 'Supervisor',
				"SE.NOME SUPERVISOR,",
				"VE.NOME SUPERVISOR,").
			"current_date -VR.DATA DIASSEMVISITA,
			CL.ENDERECO || ', ' || CL.NUMERO ENDERECO,
			B.DESCRICAO BAIRRO, CI.CIDADE, CL.FANTASIA, CL.NROREGIAO
			from (select CL.CODCLIENTE, CL.NOME CLIENTE, V.CODVENDEDOR, max(VR.DATA) DATA ".$sql1);
		$total = count($array);
		
		$result .= "<tr style='background-color: green;font-weight: bold;'>".
				"  <td></td>".
				"  <td>Total de Registros: ".$total."</td>".
				"  <td></td>".
				"  <td></td>".
				"  <td></td>".
				"  <td></td>".
				"</tr>".
				"<tr>".
				"  <td></td>".
				"</tr>";
		$result .= "<tr class='final-tabela'><td></td><td></td><td></td><td></td><td></td></tr>";
	}
	
	echo $result;		
	
?>
